%define cpan_name Text-Glob

Name:         perl-%cpan_name
Version:      0.09
Release:      2.2
Provides:     %cpan_name
Group:        Development/Libraries/Perl
License:      Artistic
URL:          http://search.cpan.org/dist/Text-Glob/
Summary:      Tools for working with paths and file specs across platforms
Source:       %cpan_name-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Text::Glob implements glob(3) style matching that can be used to match against text, rather than fetching names from a filesystem. If you want to do full file globbing use the File::Glob module instead.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Text
%{perl_vendorarch}/auto/Text
%doc Changes MANIFEST

%changelog
* Fri Feb 25 2011 vcizek@novell.com
- update to 0.09
  * Compiled documentation fixes
    (collected by Tom Hukins from fixes on rt.cpan)
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.08
